#ifndef _MSQ_H
#define _MSQ_H

#include <stdio.h>
#include <string.h>
#include <mqueue.h>
#include <time.h>
#include <fcntl.h>
#include <sys/stat.h>

mqd_t create_mq(const char *mq_name,long int mq_maxmsg,long int mq_msgsize);
mqd_t open_mq(const char *mq_name);
ssize_t recv_mq_wait(mqd_t mq,void *msg,int size,int timeouts);

#endif